package com.oguerreiro.resilient.service.mapper;

import org.mapstruct.Mapper;
import org.mapstruct.Mapping;

import com.oguerreiro.resilient.domain.UnitType;
import com.oguerreiro.resilient.service.dto.UnitTypeDTO;

/**
 * Mapper for the entity {@link UnitType} and its DTO {@link UnitTypeDTO}.
 */
@Mapper(componentModel = "spring")
public interface UnitTypeMapper extends ResilientEntityMapper<UnitTypeDTO, UnitType> {
  @Mapping(target = "removeUnit", ignore = true)
  UnitType toEntity(UnitTypeDTO dto);
}
