import { Component, input } from '@angular/core';
import { RouterModule } from '@angular/router';

import SharedModule from 'app/shared/shared.module';
import { DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe } from 'app/shared/date';
import { IVariableClassType } from '../variable-class-type.model';

@Component({
  standalone: true,
  selector: 'jhi-variable-class-type-detail',
  templateUrl: './variable-class-type-detail.component.html',
  imports: [SharedModule, RouterModule, DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe],
})
export class VariableClassTypeDetailComponent {
  variableClassType = input<IVariableClassType | null>(null);

  previousState(): void {
    window.history.back();
  }
}
